Bug 491345 - PyClutter claims bug after exiting a script
PyClutter claims bug after exiting a script
Product: Fedora
Classification: Fedora
Component: pyclutter (Show other bugs)
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Allisson Azevedo
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-20 10:58 EDT by Christian Schramm
Modified: 2009-07-28 11:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-28 11:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
verbose output of the python interpreter on "import clutter" (6.83 KB, text/plain)
2009-03-20 11:01 EDT, Christian Schramm
no flags Details

  None (edit)
Description Christian Schramm 2009-03-20 10:58:20 EDT
Description of problem:
When doing "import clutter" in Python, the interpreter exits without error. This means typing it on the Python console as well as in Python files. It happens with the official pyclutter examples as well.

Version-Release number of selected component (if applicable):
clutter 0.8.6-4
pyclutter 0.8.2-2

How reproducible:
every time

Steps to Reproduce:
1. type "python" on the console
2. type "import clutter"
3. watch it fail
Actual results:
exits without throwing an exception

Expected results:
import of the library or at least throwing an exception

Additional info:
the attachement shows the output of importing clutter with "python -v" (verbose) - don't know if it helps
Comment 1 Christian Schramm 2009-03-20 11:01:11 EDT
Created attachment 336056 [details]
verbose output of the python interpreter on "import clutter"
Comment 2 Christian Schramm 2009-04-04 17:11:46 EDT
After an update of Python that came with fedora 11, it doesn't crash anymore on import. However, everytime I close a pyclutter script, it exits with an "2767caa8-5cad-06b4-251f2e93-20b0c049 is dumped" or similar and Bug-Buddy opens and wants me to report a bug in that script. Not so bad, but annoying.
Comment 3 Bug Zapper 2009-06-09 08:27:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 4 Itamar Reis Peixoto 2009-07-28 09:47:36 EDT
(In reply to comment #2)
Can I close this bug report ?

issue fixed ?
Comment 5 Christian Schramm 2009-07-28 11:01:03 EDT
It's fixed itself (at least for me) with the current version of pyclutter

Note You need to log in before you can comment on or make changes to this bug.